%define		mod_name	fcgid
%define		apxs		/usr/sbin/apxs
Summary:	A binary compatibility alternative to Apache module mod_fastcgi
Summary(pl.UTF-8):	Binarnie kompatybilna alternatywa dla modułu Apache'a mod_fastcgi
Name:		apache-mod_%{mod_name}
Version:	2.3.9
Release:	1
License:	GPL v2
Group:		Networking/Daemons/HTTP
Source0:	http://www.apache.org/dist/httpd/mod_fcgid/mod_%{mod_name}-%{version}.tar.bz2
# Source0-md5:	262a8c59bceee5fcb669dd92a85c637d
Source1:	%{name}.conf
Patch0:		%{name}-suexec-path.patch
URL:		http://httpd.apache.org/mod_fcgid/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
A binary compatibility alternative to Apache module mod_fastcgi.
mod_fcgid has a new process management strategy, which concentrates on
reducing the number of fastcgi server, and kick out the corrupt
fastcgi server as soon as possible.

%description -l pl.UTF-8
Binarnie kompatybilna alternatywa dla modułu Apache'a mod_fastcgi.
mod_fcgid to nowa strategia zarządzania procesami, koncentrująca się
na redukcji liczby serwerów fastcgi i usuwaniu uszkodzonych serwerów
fastcgi najszybciej jak to możliwe.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1

%build
APXS=%{apxs} ./configure.apxs
%{__make} \
	top_dir=%{_pkglibdir} \
	APXS=%{apxs} \
	INCLUDES="-I%(%{apxs} -q INCLUDEDIR)"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}

install modules/fcgid/.libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/70_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc CHANGES-FCGID LICENSE-FCGID NOTICE-FCGID README-FCGID STATUS-FCGID
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Fri Nov 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_fcgid.git;a=log;h=master

* Tue Nov 12 2013 Marcin Krol <hawk@tld-linux.org> 8faa9dd
- updated to 2.3.9

* Fri May 03 2013 Jan Rękorajski <baggins@pld-linux.org> bbb889f
- updated suexec-path patch

* Fri May 03 2013 Jan Rękorajski <baggins@pld-linux.org> cde07f6
- 2.3.7

* Mon Dec 27 2010 hawk <hawk@pld-linux.org> 0983e39
- restored suexec-path.patch, our apache uses this for suexec.fcgi wrapper

* Mon Dec 27 2010 hawk <hawk@pld-linux.org> 6bc2b7e
- recerated for 2.3.6

* Thu Nov 18 2010 dzeus <dzeus@pld-linux.org> f492c97
- up to 2.3.6, fixes CVE-2010-3872

* Mon Aug 23 2010 hawk <hawk@pld-linux.org> 46c50da
- release down to 0.1, most configuration directives were renamed and
  apache doesn't work after upgrade

* Mon Aug 16 2010 shadzik <shadzik@pld-linux.org> 01a0d5d
- options should be conditional, the reason is simple, if for some reason the module fails to load, apache won't crash due to a unsupported configuration

* Mon Aug 16 2010 psz <psz@pld-linux.org> 01cbd24
- 2.3.5
- rel 1

* Fri Jun 05 2009 hawk <hawk@pld-linux.org> 4b369af
- added patch to allow setting path to suexec binary
- release 3

* Fri Jun 05 2009 hawk <hawk@pld-linux.org> 7e04924
- patch to allow setting path to suexec binary, found at
  http://www.mail-archive.com/mod-fcgid-users@lists.sourceforge.net/msg00150.html

* Sun Mar 29 2009 Elan Ruusamäe <glen@pld-linux.org> 179f808
- unify (template-apache_module.spec)

* Sat Mar 28 2009 areq <areq@pld-linux.org> a213a95
- install conf in /etc/httpd/conf.d/
- rel 2

* Sat Feb 07 2009 dzeus <dzeus@pld-linux.org> e07f75d
- obsolete

* Sat Feb 07 2009 dzeus <dzeus@pld-linux.org> 45e0597
- up to 2.2, removed outdated patches

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 0fb52da
- HTTP group

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 6bbe118
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> 281d669
- BR s@%{apxs}@apache-apxs@g

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2e2443d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e0e8929
- converted to UTF-8

